sc::FileRender Class Reference
Inheritance diagram for sc::FileRender:
[legend]
Collaboration diagram for sc::FileRender:
[legend]

## Public Member Functions

| FileRender (const char *filename)
| FileRender (std::ostream &o=ExEnv::out0())
| FileRender (const Ref< KeyVal > &)
void | clear ()
virtual void | set_filename (const char *name)
virtual void | set_basename (const char *name)
virtual const char * | file_extension ()
Public Member Functions inherited from sc::Render
| Render (const Ref< KeyVal > &)
Ref< Material > | default_material ()
Ref< Appearance > | default_appearance ()
Ref< Transform > | default_transform ()
void | default_material (const Ref< Material > &m)
void | default_appearance (const Ref< Appearance > &a)
void | default_transform (const Ref< Transform > &t)
virtual void | render (const Ref< RenderedObject > &)
virtual void | animate (const Ref< AnimatedObject > &)
virtual void | set (const Ref< RenderedObjectSet > &)
virtual void | sphere (const Ref< RenderedSphere > &)
virtual void | polygons (const Ref< RenderedPolygons > &)=0
virtual void | polylines (const Ref< RenderedPolylines > &)=0
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions

char * | get_filename (const char *objectname)
void | open_sbuf (const char *objectname)
void | close_sbuf ()
Protected Member Functions inherited from sc::Render
virtual void | push_material (const Ref< Material > &m)
virtual void | push_appearance (const Ref< Appearance > &a)
virtual void | push_transform (const Ref< Transform > &t)
virtual Ref< Material > | pop_material ()
virtual Ref< Appearance > | pop_appearance ()
virtual Ref< Transform > | pop_transform ()

## Protected Attributes

char * | filename_
char * | basename_
std::streambuf * | sbuf_
int | delete_sbuf_
int | depth_
Protected Attributes inherited from sc::Render
Ref< Material > | default_material_
Ref< Appearance > | default_appearance_
Ref< Transform > | default_transform_
Stack< Ref< Material > > | material_stack_
Stack< Ref< Appearance > > | appearance_stack_
Stack< Ref< Transform > > | transform_stack_

The documentation for this class was generated from the following file:

- render.h